.TH  "AurigaDoc: User Guide"
	
	
.SH TITLE
.B AurigaDoc: User Guide
.SH SYNOPSIS
.B AurigaDoc: User Guide
.br 
.I Author: Khurshidali Shaikh 
.br 
.I Company: Auriga Logic 
.br 
.I Revision: $Revision: 1.34 $ 
.br 
.I Last Modified: $Date: 2003/11/06 10:18:41 $ 
.br
.SH DESCRIPTION
.br
   
.SH  What Is AurigaDoc
AurigaDoc is a java-xml-xsl based documentation tool for writing xml documents and converting them to other formats like HTML(single and multi-page), DHTML(frame based html with a toc tree), RTF(Microsoft Word 97 and above), PDF, Postscript, Java Help and HTML Help. 
.br

.br
The idea is to keep a single document source(as xml) and convert it to various formats formats using XSLT. 
.br

.br
While converting the xml to html you have the option of either creating a single html file for the entire document or multiple html files where each file contains a single section in the document with links to other sections. 
.br

.br
Since xml is becoming a standard documents written in xml are portable to various formats. 
.br

.br
AurigaDoc is built using open source software like 
   * Xerces - A java based XML(Extensible Markup Language) parser from Apache. 
   * Xalan - A java based XSLT(Extensible Stylesheet Transformation) engine from Apache. 
   * FOP - A java based Formatting Object Implementation from Apache. 
   * Batik - A java based package for handling SVG(Scalable Vector Graphic) from Apache. 
   * JFOR - A java package for writing rtf from xsl-fo. 
   * Java Help 2.0 - For generating output in Java Help 2.0 format. 
   * Java Mail API - For generating MIME multipart/related message. 
   * Steady State Software's CSS2 Parser: For parsing css stylesheets and applying them to pdf/postscript output. 
   
.SH  Output Formats
AurigaDoc supports the following output formats. 
   * \fBHTML \fP: Single HTML file. 
.br

.br

   * \fBMulti Page HTML \fP: Single HTML file for each section in the source document. Also has table of content file with links to each section. 
.br

.br

   * \fBDHTML \fP: Frame based HTML output with the left frame containing an expandable/collapsible tree of the sections hierarchy and the right frame containing the topic selected from the left. 
.br

.br

   * \fBMIME multipart/related Message \fP: Format meant mainly for emails. Consists a single file with all the html, images, css, etc composed into a MIME multipart/related format. You can even specify options to mail this message to one or more email address(es). 
.br

.br

   * \fBFO \fP: Formatting Object. 
.br

.br

   * \fBPDF \fP: Adobe's Portable Document Format. 
.br

.br

   * \fBPostscript \fP: Postscript format. 
.br

.br

   * \fBRTF \fP: Rich Text Format for viewing in Microsoft Word. 
.br

.br

   * \fBJava Help \fP: Multi-page html output with additional files required by Java Help like the helpset file, map file, toc file and a full text search database. 
.br

.br

   * \fBHTML Help \fP: Multi-page html with other files required by HTML Help Compiler like the html help content(.hhc) file and html help project(.hhp) file. On windows where HTML Help Workshop is installed the compiled (.chm) file is also generated. 
.br

.br

   * \fBOracle Help For Java (OHJ) \fP: Multi-page html output with additional files required by OHJ. These include the helpset file, map file and toc file. Requires OHJ jars for indexing and viewing the output. OHJ can be downloaded from http://otn.oracle.com/software/tech/java/help/index.html . 
.br

.br

   * \fBMAN \fP: Unix man page. 
.br

.br

   
.SH  Installation
To install aurigadoc follow the install instructions for the platform you are using:-   
.SH  Installation On Windows
To install aurigadoc on windows follow the given steps:- 
.br
 
   1. Untar the aurigadoc distribution to a directory. 
.br
This will create a folder \fI aurigadoc \fP
.br

.br
 
   2. Set the \fI AURIGADOC_HOME \fPenvironment variable to the absolute path of the \fI aurigadoc \fPdirectory created above. 
.br

.br

   3. Add \fI aurigadoc/bin \fPdirectory to the \fI PATH \fPenvironment variable. 
.br

.br

   4. Open \fI aurigadoc/bin/aurigadoc.properties \fPin a text editor and set the \fI aurigadoc.home \fPproperty to the absolute path of the \fI aurigadoc \fPdirectory created above. 
.br
 
.P
 \fBNote: \fPUse double slashes in the path like this 
.br
aurigadoc.home=c:\(rs\(rssoftware\(rs\(rsaurigadoc  
.br

.br

   5. If you need to compile HTML Help Files automatically, install HTML Help Workshop from Microsoft's site and set the value of \fI chm_compiler.path \fPto the absolute path of the HTML Help Compiler(hhc.exe). 
.br
 
.P
 \fBNote: \fPUse double slashes in the path like this 
.br
chm_compiler.path=c:\(rs\(rsProgram Files\(rs\(rsHTML Help Workshop\(rs\(rshhc.exe  
.br

.br

   
.SH  Installation On Unix
To install aurigadoc on windows follow the given steps:- 
.br
 
   1. Untar the aurigadoc distribution to a directory. 
.br
 \fI tar -xvzf aurigadoc.tar.gz \fP
.br
This will create a folder \fI aurigadoc \fP
.br

.br
 
   2. Set the \fI AURIGADOC_HOME \fPenvironment variable to the absolute path of the \fI aurigadoc \fPdirectory created above. 
.br

.br

   3. Add \fI aurigadoc/bin \fPdirectory to the \fI PATH \fPenvironment variable. 
.br

.br

   4. Open \fI aurigadoc/bin/aurigadoc.properties \fPin a text editor and set the \fI aurigadoc.home \fPproperty to the absolute path of the \fI aurigadoc \fPdirectory created above. 
.br

.br

   
.SH  Usage
AurigaDoc has been modified to provide multiple interfaces to the converter. The AurigaDoc converter can be called both from the command line as well as from a java class depending on your needs.   
.SH  Using From Command Line
AurigaDoc converter utility can be used from the command line by executing the script \fI aurigadoc.sh \fP(for unix) or \fI aurigadoc.bat \fP(for windows) with the appropriate arguments. 
.br
Usage: aurigadoc.sh(or aurigadoc.bat) COMMAND OPTIONS PARAMETERS 
.br
 \fBCOMMAND: \fP
.br
 
   * -h: Display this help and exit successfully. 
.br

   * -v: Display version information and exit successfully. 
.br

   * -pdf: Convert input file to pdf. 
.br

   * -ps: Convert input file to ps(postscript). 
.br

   * -fo: Convert input file to fo. 
.br

   * -awt: View pdf output of input file in awt viewer. 
.br

   * -html: Convert input file to output html file. 
.br

   * -mht: Convert input file to single html file and compile it into a MIME multipart/related message format. 
.br

   * -mhtml: Convert input file to multiple html files in specified output directory. 
.br

   * -dhtml: Convert input file to multiple html files with a toc tree in specified output directory. 
.br

   * -chm: Convert input file to multiple html files with the html help content file(.hhc) and html help project file (.hhp). 
.br
If HTML Help Compiler is installed on the system and the compiler path is specified in aurigadoc.properties a compiled chm file is also generated. 
.br

   * -jhelp: Convert input file to multiple html files with supporting files to make a java help. 
.br
If indexing option is set to y an index is created. 
.br
If view options is set to yes then the output is launched in a java help viewer. 
.br

   * -ohj: Convert input file to multiple html files with supporting files needed by Oracle Help For Java (OHJ). 
.br
If indexing option is set to y an index is created. 
.br
If view options is set to yes then the output is launched in a java help viewer. 
.br
This options requires OHJ jars to be installed in AurigaDoc lib directory. OHJ can be downloaded from http://otn.oracle.com/software/tech/java/help/index.html . 
   * -jhview: View the helpset specified by helpset name and the helpset dir in a java help viewer. 
.br

   * -man: Convert input file to unix man source file. 
.br

 
.br
 \fBOPTIONS: \fP
.br
 
   * -XML <file-name>: The input xml file. 
.br

   * -OUT <path>: The path of output file or directory. 
.br

   * -HSNAME helpset-name: The helpset name without the extension. Required for -jhview option. 
.br

   * -HSDIR <path>: The dir path where the helpset is located. Required for -jhview option. 
.br

 
.br
 \fBPARAMETERS: \fP
.br
-PARAM name=value: Additional parameter to be passed to the converter. 
.br
The foll parameters are supported 
.br
 
   * xsl=<xsl-path>: the xsl for generating html, pdf, fo, rtf, awt, etc. 
.br

   * frameset_xsl=<xsl-path>: the xsl for generating the frameset page in dhtml output. 
.br

   * tree_xsl=<xsl-path>: the xsl for generating the toc tree in dhtml output. 
.br

   * hhc_xsl=<xsl-path>: the xsl for generating the html help content file when converting to chm. 
.br

   * hhp_xsl=<xsl-path>: the xsl for generating the html help project file when converting to chm. 
.br

   * helpset_xsl=<xsl-path>: the xsl for generating the help set file while converting to Java Help. 
.br

   * toc_xsl=<xsl-path>: the xsl for generating the toc file while converting to Java Help. 
.br

   * map_xsl=<xsl-path>: the xsl for generating the map file while converting to Java Help. 
.br

   * index_files=[y|n]: whether to create an index of the html files while converting to Java Help. 
.br

   * launch_viewer=[y|n]: whether to launch the output in a java help viewer while converting to Java Help. 
.br

   * send_mail=[y|n]: param indicating whether to also send the composed MHT as mail. If this is set to y, the following parameters may also be specified. 
.br
 
   * subject: the subject for the mail. 
.br

   * to: the email address of the recipient. multiple emails should be separated by comma. 
.br

   * from: the email address of the sender. 
.br

   * cc: the email address for the Cc list. multiple emails should be separated by comma. 
.br

   * bcc: the email address for the Bcc list. multiple emails should be separated by comma. 
.br

 
 
.br
 \fBEXAMPLES: \fP 
   * html conversion: 
.br
 aurigadoc.sh -html -XML foo.xml -OUT foo.html  
.br

   * html conversion using a custom xsl: 
.br
 aurigadoc.sh -html -XML foo.xml -OUT foo.html -PARAM xsl=path-to-xsl  
.br

   * java help conversion with indexing and view option: 
.br
 aurigadoc.sh -jhelp -XML foo.xml -OUT foo-jhelp-files -PARAM index_files=y -PARAM launch_viewer=y 
.br

   * chm conversion with a custom xsl for generating the html help content file. 
.br
 aurigadoc.sh -chm -XML foo.xml -OUT foo-chm-files -PARAM hhc_xsl=path-to-xsl 
.br

   
.SH  Using From Java
AurigaDoc converter utility can be used from the a java class be following the steps given below:- 
.br
 
   * Add all jars in AURIGADOC_HOME/lib to your classpath. 
.br

.br

   * Add the AURIGADOC_HOME/bin directory to your classpath. 
.br

.br

   * Invoke the AurigaDoc converter using the following code snippet 
.br
 \fBA simple example \fP
.br
 
.nf

import com.aurigalogic.aurigadoc.core.Driver;
import com.aurigalogic.aurigadoc.logger.DefaultLogger; // for logging
.
.
Driver driver = new Driver(); // instantiate the driver
driver.setInputFile(inputFile); // set the input file path
driver.setOutputFile(outputFile); // set the output file/dir path
driver.setFormat(Driver.FORMAT_HTML); // set the output format
driver.setLogger(new DefaultLogger()); // set the logger (optional)
driver.run(); // run the driver
 
.fi

.br
 \fBExample of invoking AurigaDoc with a custom xsl \fP
.br
 
.nf

import com.aurigalogic.aurigadoc.core.Driver;
import com.aurigalogic.aurigadoc.logger.DefaultLogger; // for logging
import com.aurigalogic.aurigadoc.code.HTMLConverter; // for logging
.
.
Driver driver = new Driver(); // instantiate the driver
driver.setInputFile(inputFile); // set the input file path
driver.setOutputFile(outputFile); // set the output file/dir path
driver.setFormat(Driver.FORMAT_HTML); // set the output format
driver.setLogger(new DefaultLogger()); // set the logger (optional)

Properties params = new Properties(); // converter parameters
params.setProperty(HTMLConverter.XSL, "path-to-my-custom-xsl");
driver.setParameters(params);

driver.run(); // run the driver
	 
.fi

.br

.br

   
.SH  Using From Ant Target
AurigaDoc conversion can be invoked from an Ant target by using the following: - 
.br
 
.nf

<java dir="output-dir" 
	classname="com.aurigalogic.aurigadoc.cmdline.Converter" 
	fork="true">
	<classpath>
		<dirset dir="aurigadochome/bin" />
		<fileset dir="aurigadochome/lib">
			<include name="**/*.jar" />
		</fileset>
	</classpath>
	<arg line="-html -XML user-guide.xml -OUT user-guide.html" />
</java>
 
.fi
 
.br
In the above code 
.br
 \fI output-dir \fPis the absolute path of output directory 
.br
 \fI aurigadochome \fPis the absolute path of AurigaDoc home directory. 
.br
   
.SH  Using AurigaDoc Ant Task
Starting from version 1.3b, AurigaDoc is distributed with an ant task which can be used from an ant target. The following steps should be followed to install and run the aurigadoc task. 
.br
 \fBInstallation: \fP 
.br
 
   * First install AurigaDoc by following the steps 
   * Put the following code in your project's build.xml file. 
.nf

	<taskdef resource="aurigadoctask.properties">
		<classpath>
			<dirset dir="AURIGADOC_HOME/bin" />
			<fileset dir="AURIGADOC_HOME/lib">
				<include name="**/*.jar" />
			</fileset>
		</classpath>
	</taskdef>
	 
.fi
where AURIGADOC_HOME is the absolute path to the AurigaDoc installation directory. 
 
.br
 
.br
 \fBTask Description: \fP 
.br
 \fBParameters \fP 
.br
  
.br
 
.br
 \fBParameters specified as nested elements: \fP
.br
 
.br
 \fI param \fP: aurigadoc task supports the nested param element(s) with the following attributes.  
.br
 
.br
 \fBExamples: \fP 
.br
 
   * Converting a document to html 
.br
 
.nf

	<aurigadoc format="html" input="src.xml" output="out.html" />
	 
.fi
 
   * Converting a document to pdf with a custom xsl option 
.br
 
.nf

	<aurigadoc format="pdf" input="src.xml" output="out.pdf">
		<param name="xsl" value="custom.xsl" />
	</aurigadoc>
	 
.fi
 
   * Converting a document to jhelp with index option 
.br
 
.nf

	<aurigadoc format="jhelp" input="src.xml" output="out-dir">
		<param name="index_files" value="y" />
	</aurigadoc>
	 
.fi
 
 
.P
 \fBNote: \fPThe aurigadoc ant task will do the conversion only if the output files generated by a conversion are older then the source xml file or the output file(s) are deleted. The output files that are monitored include only text, xml and html and not any images/javascript files generated while building the dhtml output.    
.SH  AurigaDoc Documentation Conventions
Documents to be converted using AurigaDoc should have the following structure:- 
.br
 
   * The root element of the document is \fI <document> \fP 
.br

.br

   * The meta info about the document is contained in \fI <document-meta-info> \fPelement inside the document root. This element has elements like title, attribute, etc. 
.br

.br

   * The formatting info about the document is contained within \fI <document-formatting-info> \fPunder the document root. 
.br
The following elements are supported in this element:- 
   * \fI <stylesheet url="url" /> \fP- Used to associate a css to the generated html. ( \fBhtml only \fP) 
.br

.br

   * \fI <stylesheet-fo url="url" /> \fP- Used to associate a css to the output ( \fBpdf/postscript \fP) 
.br

.br

   * \fI <left-margin>Xpt</left-margin> \fP- Used to specify left margin for pdf document. ( \fBpdf/postscript/rtf \fP) 
.br

.br

   * \fI <right-margin>Xpt</right-margin> \fP- Used to specify right margin for pdf document. ( \fBpdf/postscript/rtf \fP) 
.br

.br

   * \fI <top-margin>Xpt</top-margin> \fP- Used to specify top margin for pdf document. ( \fBpdf/postscript/rtf \fP) 
.br

.br

   * \fI <header-height>Xpt</header-height> \fP- Used to specify bottom height for the page header in pdf. ( \fBpdf/postscript/rtf \fP) 
.br

.br

   * \fI <footer-height>Xpt</footer-height> \fP- Used to specify bottom height for the page footer in pdf. ( \fBpdf/postscript/rtf \fP) 
.br

.br

   * \fI <bottom-margin>Xpt</bottom-margin> \fP- Used to specify bottom margin for pdf document. ( \fBpdf/postscript/rtf \fP) 
.br

.br

   * \fI <body-font-family></body-font-family> \fP- Used to specify the font name for the pdf document body. ( \fI Removed. use css for this \fP) 
.br

.br

   * \fI <body-font-size></body-font-size> \fP- Used to specify the font size for the pdf document body. ( \fI Removed. use css for this \fP) 
.br

.br

   * \fI <document-title-font-family></document-title-font-family> \fP- Used to specify the font family for document title. ( \fI Removed. use css for this \fP) 
.br

.br

   * \fI <document-title-font-size></document-title-font-size> \fP- Used to specify the font size for document title. ( \fI Removed. use css for this \fP) 
.br

.br

   * \fI <document-attributes-font-family></document-attributes-font-family> \fP- Used to specify the font family for document attributes. ( \fI Removed. use css for this \fP) 
.br

.br

   * \fI <document-attributes-font-size></document-attributes-font-size> \fP- Used to specify the font size for document attributes. ( \fI Removed. use css for this \fP) 
.br

.br

   * \fI <generate-section-numbers>yes or no</generate-section-numbers> \fP- Used to specify whether sections numbers should be generated for each section. Default is yes. ( \fBpdf/postscript/rtf \fP) 
.br

.br

   * \fI <generate-toc-page>yes or no</generate-toc-page> \fP- Used to specify whether a toc page should be generated. Default is yes. ( \fBpdf/postscript/rtf \fP) 
.br

.br

 
.br

   * The data to be displayed as a document header can be specified in the \fI <document-header> \fPelement. 
.br

.br

   * The \fI <document-body> \fPelement contains the actual content of the document. 
.br

.br

   * The \fI <table-of-content> \fPelement has a hierarchical tree of \fI <links> \fPelements defining the sections hierarchy in the document. 
.br

.br

   * The \fI <link> \fPelement has a \fI href \fPattribute which specifies the \fI <section> \fPelement to link to. The value of the \fI href \fPattribute should start with a # and should not contain white spaces. 
.br
The name/label of the section to link to is described as text of \fI <link> \fPelement. 
.br
In order to define sections in a nested manner just define the sections hierarchy in the this section. The actual <section> should not be nested i.e. while writing the actual \fI section \fPtag there should not be nesting of \fI section \fPtag within it. For details see the nested-sections sample. 
.br

.br

   * The \fI <section> \fPelement is used to define the contents for each section of the document. This element has two attributes. 
.br
 
   * \fI name \fP- the name of the section. This should be same as the the href attribute (without the #) of the \fI <link> \fPelement for this section under \fI <table-of-content> \fP. 
   * \fI label \fP- the label to be displayed as the section's name. 
The \fI <section> \fPcan have text and any xml safe html elements. 
.br

.br

   * The \fI <section-link> \fPelement has a \fI href \fPattribute which specifies the \fI <section> \fPelement to link to. This tag is basically used for giving links to a section from the document body. Using this tag to link to sections makes sure that the link is maintained irrespective of whether the document is converted to pdf, single html or multi html format. 
.br

.br
 
   * The \fI <document-footer> \fPelement contain the information to be displayed as page footer. 
.br

.br

   * The are a set of special elements which are used while converting to pdf format. These are:- 
.br
 
   * \fI <page-break> \fP- This element forces a page break in the pdf document. 
.br

.br

   * \fI <page-number> \fP- Inserts the page number of the pdf document. 
.br

.br

 
 
.br
Any html tag can be used in the document but while converting to pdf/postscript/rtf only the following tags are supported. 
.br
 
   1. \fI a \fP
   2. \fI img \fP
   3. \fI font \fP
   4. \fI u \fP
   5. \fI s \fP
   6. \fI b/strong \fP
   7. \fI i/em \fP
   8. \fI h1-h6 \fP
   9. \fI br \fP
   10. \fI hr \fP
   11. \fI div \fP
   12. \fI p \fP
   13. \fI pre \fP
   14. \fI code \fP
   15. \fI blockquote \fP
   16. \fI address \fP
   17. \fI center \fP
   18. \fI ol \fP
   19. \fI ul \fP
   20. \fI li \fP
   21. \fI dl/dt/dd \fP
   22. \fI table \fP
   23. \fI tr \fP
   24. \fI td \fP
   25. \fI sub \fP
   26. \fI sup \fP
 
.br
   
.SH  CSS (Cascading Style Sheet) Support
 
.P
Starting from version 1.3b AurigaDoc has been modified to depend heavily on css for formatting document. The appearance for all parts of the document can be controlled using css.  
.P
A css can be associated to a document by using the <stylesheet url=".." /> element inside the <document-formatting-info> element.  
.P
Even pdf/postscript output can be formatted using a css file. The css file for these outputs can be specified in the <stylesheet-fo url=".." /> element inside the <document-formatting-info> element. See the src (xml) document of this user guide for an example. Although support for css in pdf/postscript output is limited, using a css can greatly improve the look of the output document. 
.br
The css url may either be a: 
.br
   
.P
In addition to specifying a css file, formatting for supported html elements can also be controlled by using the style attribute.  
.P
CSS stylesheet is not applied while creating the rtf due to limitations in jfor.    
.SH  Change History
The following changes have been incorporated in the below mentioned versions:-   
.SH  Version 1.3
The following changes have been incorporated in Version 1.3:- 
.br
 
   * Modified Java Help Output to produce output in Java Help 2.0 format. 
.br

.br

   * Improved Java Help Output to use fancy icons. 
.br

.br

   * Extended MHT converter to even send the generated output as email to the specified email addresses. This requires an SMTP server for sending mail. The name of the SMTP server can be configured in \fI aurigadoc.properties \fP. 
.br

.br

   * Added beta support for new output format: Oracle Help for Java(OHJ). 
.br
Inorder to use this option fully 
.br
 
   * Download OHJ from http://otn.oracle.com/software/tech/java/help/index.html 
   * Install OHJ on your system. 
   * Copy the OHJ jars from the OHJ installation directory to AurigaDoc lib directory. 
Inorder to view a sample of the output go to AurigaDoc \fI docs/ohj/bin/ \fPfolder and execute view.sh or view.bat. 
.br

.br

   * Fixed bugs in the RTF converter when the output file without directory name is specified. 
.br

.br

   * Made the command line options case insensitive for convenience. Instead of specifying -XML, -OUT and -PARAM you can now even specify -xml, -out and -param respectively. 
.br

.br

   
.SH  Version 1.3b
The following changes have been incorporated in Version 1.3b:- 
.br
 
   * An Ant task has been built to call AurigaDoc from an ant script. 
.br

.br

   * Support for specifying fonts for various sections while converting to pdf/postscript format has been removed. AurigaDoc now uses css for even pdf/postscript output in addition to the html outputs. See for more details. 
.br

.br

   * The class names used in the css rules have been modified to confirm to the css naming conventions. People upgrading from older version of AurigaDoc will have to patch the css style sheet. Use the css style sheet shipped with AurigaDoc for example. 
.br

.br

   * A new output format(mht) has been added which converts the source document to a single html file and compiles it to a single file which can be viewed in IE 5 or above. This format is a MIME multipart/related message format which is meant for emails. 
.br

.br

   * Included the latest jfor version (V_0_7_2rc1). This seems to produce better rtf output. Also fixed the fo xsl to avoid outputting unnecessary characters which were causing extra lines to appear in the rtf output. 
.br

.br

   * Fixed problems in the aurigadoc.sh script encountered under cygwin. 
.br

.br

   * All the xsls have been rewritten to use standard XSLT 1.0 functions. An exception is the xml2mhtml.xsl which uses the xalan redirect extension for generating multiple output files. 
.br

.br

   
.SH  Version 1.2
The following changes have been incorporated in Version 1.2:- 
.br
 
   * Fixed some bugs. One of the important ones was file output stream that were left unclosed. This used to create problems on windows when the document is given to the HTML Help Compiler while converting to chm. The HTML Help Compiler was not being able to open files with unclosed streams. This used to happen for small documents only. 
.br

.br

   * Did some code cleanup. 
.br

.br

   * Modified xsls to disable the unnecessary namespace that were outputted in the generated html. 
.br

.br

   * Fixed documentation bugs. 
.br

.br

   * Incorporated new JFOR version(V0.7.1) in the distribution. 
.br

.br

   
.SH  Version 1.2b
The following changes have been incorporated in version(1.2b):- 
.br
 
   * The pdf/postscript/rtf outputs have been modified to include a toc page after the cover page. This toc page has the list of sections/sub-sections along with their page numbers and are hyper-linked to the respective sections. 
.br

.br

   * The multi-page generation process has been modified to generate multiple pages using the xalan redirect extension. Due to this the xml document is not broken into sub documents using jdom. This has improved the conversion speed for multi-page html and also removed the dependency of AurigaDoc on JDOM. 
.br

.br

   * Java API have been provided to be able to use AurigaDoc from a java class. 
.br

.br

   * A command line interface has been written which uses AurigaDoc Java API for conversion to various output formats. The shell scripts(for unix and windows) have been modified to call the command line interface. 
.br

.br

   * Options have been provided in the command line and java api to specify a custom xsl while converting to any output format. 
.br

.br

   * Separate shell script for windows 9x(aurigadoc_win9x.bat) and windows 2000(aurigadoc_win2k.bat) have been replaced with a single batch script aurigadoc.bat which is intended to run both on windows 9x and windows 2000. 
.br

.br

   * The build scripts to build AurigaDoc from source has been removed and replaced with an Ant build file(build.xml). In Order to build this version from source Apache Ant( http://jakarta.apache.org/ant/ ) will be required. 
.br

.br

   * A new option has been added to convert AurigaDoc document to fo. 
.br

.br

   * A new option has been added to convert AurigaDoc document to Postscript. 
.br

.br

   * A new option has been added to convert AurigaDoc document to Java Help. A Java Help Viewer has also been provided to view the Java Help output. 
.br

.br

   * A new option has been provided to convert AurigaDoc document to HTML Help format. 
.br
On unix only the HTML Help Project(.hhp) file and HTML Help Content(.hhc) file are created. 
.br
On windows systems if HTML Help Workshop is installed and the chm compiler path is set in aurigadoc.properties file, the compiled(.chm) file is also generated. 
.br

.br

   * A new option has been added to convert AurigaDoc document to man source file for generating unix man pages. This output format does not support tables, fonts, links and other advanced elements which cannot be rendered in a unix man page. 
.br

.br

   
.SH  Version 1.1
The following changes have been incorporated in version(1.1):- 
.br
 
   * A new option has been added in which AurigaDoc converts the given xml document to html files and also generates a dhtml toc tree for navigating though the sections. 
.br

.br

   * Added support to specify if the generated output should have section numbers generated. By default section numbers will be generated for sections. This can be turned of for a document by using the following <generate-section-numbers>no</generate-section-numbers> in the document-formatting-info element. 
.br

.br

   * Modified xsls remove hard coding of fonts in pdf. Now fonts for document-title, document-attributes, section-header, etc can be specified in the xml document itself. 
.br

.br

   * Made provision to use different font size/color for each section level. e.g. section 1 , 2, 3, etc can be use a common font size/color and sections section 1.1, 1.2, 1.3, 2.1, 2.2, 2.3, etc can use a font size/color different than the above sections. For html this can be define in the stylesheet file and for pdf/rtf this can be modified by modifying the xsl(xml2pdf.xsl). See the css file and the xsl file for details. 
.br

.br

   * Added more samples to the samples directory. 
.br

.br

   * Removed jimi.jar from the distribution due to licensing restrictions. Due to this embedding png in pdf will not work. In order to overcome this download the jimi library from java.sun.com and copy the jimi jar it in the aurigadoc lib directory as jimi.jar. 
.br

.br

   * Made provision for specifying the bullet size for unordered lists while converting to pdf. The bullet size can be specified as attribute \fI bullet-size \fPof the <ul> element. 
.br
e.g. <ul bullet-size="15pt" >. 
.br

.br

   
.SH  Limitations
The current version of AurigaDoc has the following limitations:- 
.br
 
   * Advanced table attributes like cellspacing are not supported while converting to pdf. 
.br

.br

   * The RTF output is limited in functionality and does not have support for nested list, tables, etc. Also the RTF output is targeted to be viewed using Microsoft Word(97 or above). 
.br
The RTF output is generated using jfor which has its own limitations. Due to this the RTF output generated may not be as good as the pdf equivalent. 
.br

.br

   
.SH  Troubleshooting
The following things should be checked in case there is a problem running AurigaDoc. 
.br
 
   * Make sure you have set the \fI AURIGADOC_HOME \fPenvironment variable and the aurigadoc.home property in aurigadoc.properties to the aurigadoc installation directory. This will mostly solve your problems. If your problem is still not solved read ahead. 
.br

.br

   * Make sure you have appended \fI AURIGADOC_HOME/bin \fPto your \fI PATH \fPenvironment variable. 
.br

.br

   * Older versions of AurigaDoc (v1.0b to v1.0.2b) used to append the existing CLASSPATH to its own dynamically generated classpath while launching AurigaDoc. In case you are using these versions make sure that your CLASSPATH is not broken because of some characters like space, etc. 
.br

.br

   * Make sure you do not have another version of xerces, xalan, fop in your jre/lib/ext dir. 
.br

.br

   * If you encounter an error while invoking AurigaDoc with a custom xsl PARAM specify the PARAM like this 
.br
 \fI aurigadoc.bat format -XML xml-file -OUT out-file -PARAM "xsl=my-xsl" \fP 
.br
Note the quotes (") around the PARAM value. 
.br

.br

   
.SH  License
AurigaDoc is available under the GPL License provided that the entire project/product for which AurigaDoc is used is released under an Open Source License recognized by The Open Source Initiative . 
.br

.br
For alternative licensing, contact sales@aurigalogic.com  
.br

.br
For more info on AurigaDoc usage, see the docs directory in the distribution or mail kshaikh@aurigalogic.com   