/* -- $Id: ADConverter.java,v 1.3 2003/07/11 16:41:32 kshaikh Exp $ --
 Copyright (C) 2001 Auriga Logic <http://www.aurigalogic.com>
 Author: Khurshidali Shaikh <kshaikh@aurigalogic.com>

 ============================================================================
		    GNU GENERAL PUBLIC LICENSE Version 2, June 1991
 ============================================================================

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/
package com.aurigalogic.aurigadoc.core;

import com.aurigalogic.aurigadoc.logger.Logger;

import java.util.Properties;

/**
 * This is an interface implemented by all the converters.
 *
 * @author <a href="mailto:kshaikh@aurigalogic.com">Khurshidali Shaikh</a>
 * @version $Revision: 1.3 $ $Date: 2003/07/11 16:41:32 $
 */

public interface ADConverter {
	/**
	 * Set the input file.
	 * @param inputFile the input file
	 */
	void setInputFile(String inputFile);

	/**
	 * Set the output file.
	 * @param outputFile the output file
	 */
	void setOutputFile(String outputFile);

	/**
	 * Set the logger.
	 * @param logger the logger to use for logging
	 */
	void setLogger(Logger logger);

	/**
	 * Set other conversion paramaters.
	 * @param parameters additional parameters to be passed to the converter
	 */
	void setParameters(Properties parameters);

	/**
	 * Convert the document.
	 * @throws Exception in case of a conversion error.
	 */
	void convert() throws Exception ;

	/**
	 * Convert the given input file to output file.
	 * @param inputFile the input file
	 * @param outputFile the output file
	 * @throws Exception in case of a conversion error.
	 */
	void convert(String inputFile, String outputFile) throws Exception ;


}

