<?xml version="1.0" encoding="UTF-8"?>
<!-- $Id: xml2main.xsl,v 1.8 2003/09/16 09:15:15 kshaikh Exp $ -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:output method="html" indent="yes" doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN" doctype-system="DTD/xhtml1-strict.dtd"/>

<!-- B: COMMON VARIABLES -->
<!--
*************************************************************************
Here we declare the document scope variable 
*************************************************************************
-->
<xsl:variable name="dfi" select="/document/document-formatting-info"/>

<xsl:variable name="toc" select="/document/document-body/table-of-content"/>

<xsl:variable name="dmi" select="/document/document-meta-info"/>

<xsl:variable name="nbsp">
<xsl:text> </xsl:text>
</xsl:variable>

<!-- number format for numbering sections -->
<xsl:variable name="snf">
<xsl:choose>
<xsl:when test="$dfi/generate-section-numbers/@number-format">
<xsl:value-of select="$dfi/generate-section-numbers/@number-format"/>
</xsl:when>
<xsl:otherwise>1</xsl:otherwise>
</xsl:choose>
</xsl:variable>

<xsl:variable name="generate-section-numbers">
<xsl:choose>
<xsl:when test="$dfi/generate-section-numbers  = 'no'">no</xsl:when>
<xsl:otherwise>yes</xsl:otherwise>
</xsl:choose>
</xsl:variable>

<!-- E: COMMON VARIABLES -->

<xsl:template match="document">
<html>
<head>
<xsl:apply-templates select="$dfi/stylesheet"/>
<meta name="generator" content="AurigaDoc"/>
<title>
<xsl:value-of select="document-meta-info/title"/>
</title>
</head>
<frameset cols="20%,80%">
    <frameset frameborder="0" framespacing="0" border="0" cols="*" rows="0,*">
      <frame marginwidth="0" marginheight="0" src="adnav.html" name="code" scrolling="no" frameborder="0"/>
      <frame marginwidth="5" marginheight="5" src="menu_empty.html" name="menu" scrolling="auto" frameborder="0"/>
    </frameset>
<frame src="table_of_content.html" name="text"/>
</frameset>
</html>
</xsl:template>

<!-- 
*************************************************************************
This template renders the stylesheet tag
*************************************************************************
-->
<xsl:template match="stylesheet">
	<link href="{@url}" rel="stylesheet" type="text/css"/>
</xsl:template>

</xsl:stylesheet>
